%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Package Installation, Removal and Update Tools
Name: pirut
Version: 1.0.3
Release: 0.fc5
License: GPL
Group: Applications/System
URL: http://fedoraproject.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: pygtk2, pygtk2-libglade, yum >= 2.5.3, comps-extras, rhpl
Requires(post): desktop-file-utils >= 0.8
Requires(postun): desktop-file-utils >= 0.8
Obsoletes: system-config-packages, redhat-config-packages, pup
BuildArch: noarch

%description
pirut (pronounced "pirate") provides a set of graphical tools for managing 
software.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/usr/bin/update-desktop-database %{_datadir}/applications

%postun 
/usr/bin/update-desktop-database %{_datadir}/applications


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS
%dir %{python_sitelib}/pirut
%{python_sitelib}/pirut/*.py
%{python_sitelib}/pirut/*.pyc
%{python_sitelib}/pirut/*.pyo
%{_bindir}/pirut
%{_bindir}/pup
%{_bindir}/system-install-packages
%{_sbindir}/pirut
%{_sbindir}/pup
%{_sbindir}/system-install-packages
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/pirut
%dir %{_datadir}/pirut/ui
%{_datadir}/pirut/ui/*.glade
%dir %{_datadir}/pirut/pixmaps
%{_datadir}/pirut/pixmaps/*.png
%{_datadir}/pixmaps/*png


%changelog
* Mon May 15 2006 Jeremy Katz <katzj@redhat.com> - 1.0.3-0.fc5
- fix plugin type bug (#191630)
- keep apply at bottom of the window (#191721)
- Catch config errors and give a nice dialog (#191013)
- Allow --config with pirut (#189804)

* Wed Apr 12 2006 Jeremy Katz <katzj@redhat.com> - 1.0.2-1
- Fix traceback with no groups defined (#186545)
- Mark desktop files for translation (#188319)
- Catch mirror error (#184326)
- Change display name for package installer (#185169)
- Improve progress bar updating a little
- Require rhpl (#186796)
- Add status bar and progress for searching from James Bowes (#186977)
- Grab focus for search entry by default (#187597)
- Give better error message about no network (#188529)

* Fri Mar  3 2006 Jeremy Katz <katzj@redhat.com> - 1.0.1-1
- Ensure we unlock things on exit (#183882)

* Fri Mar  3 2006 Jeremy Katz <katzj@redhat.com> - 1.0.0-1
- Fix formatting in reboot dialog (#183597)
- Show category pixbuf if there's not one for the group (#183545)
- Ensure groups are shown as selected
- Catch locking error (#183685)

* Tue Feb 28 2006 Jeremy Katz <katzj@redhat.com> - 0.9.17-1
- Fix package selection traceback (#183310)
- Lock the yum pid file when pirut tools are running (#183311)
- Give feedback during group selection (#183307)
- Fix display of urllib2 encoded strings (#183111)

* Mon Feb 27 2006 Jeremy Katz <katzj@redhat.com> - 0.9.16-1
- Fix optional package searching (#182555)
- Catch errors when downloading metadata (#178641)
- Some UI changes from Simon Lanzmich (#182644)
- More UI changes from jrb 

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.15-1
- actually find the images

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.14-1
- fix traceback on right click (#182360)
- add hal and dbus to pup's reboot list
- new images from dfong
- allow stopping the search, requires yum 2.5.3

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.13-1
- add files

* Tue Feb 21 2006 Jeremy Katz <katzj@redhat.com> - 0.9.12-1
- enable search functionality

* Tue Feb 21 2006 Jeremy Katz <katzj@redhat.com> - 0.9.11-1
- Don't try to install source packages (#180048)
- Fix wrong error name (#181370)
- Ensure group is selected for select all
- Log installs from all tools in yum.log (#182126)
- Don't traceback on servers not telling us the size (#181890)
- Start of work for search to work
- Add some details about what's selected for install/remove (#182126)

* Sat Feb  4 2006 Jeremy Katz <katzj@redhat.com> - 0.9.10-1
- Add a popup menu for selecting all/none of the optional packages in a group
- Speed up pirut startup and list mode a bit

* Fri Feb  3 2006 Jeremy Katz <katzj@redhat.com> - 0.9.9-1
- Just use the group name when we don't have a description (#178089)
- Require actually clicking on the checkboxes, not the text (#178090)
- Make browse view a little bit more obvious (#178091)
- Fix selection in list filters (#179210)
- Fix searching in list view (#179839)
- Fix searching in optional packages list
- Allow unsigned packages with a suitably scary warning on installing 
  single packages (#178908)

* Thu Feb  2 2006 Jeremy Katz <katzj@redhat.com> - 0.9.8-1
- Some fixes to single-install-packages from Tim Lauridsen (#178908)
- Tweaks to the optional packages installed label (#178088, #179205)

* Tue Jan 24 2006 Jeremy Katz <katzj@redhat.com> - 0.9.7-1
- Make the single package installer only read the repo data if we need 
  to resolve a dep
- Add a shadow to a scrolledwindow for jrb

* Tue Jan 24 2006 Jeremy Katz <katzj@redhat.com> - 0.9.6-1
- Make it so that translations actually work
- Add a progress callback for time intensive parts of pup/pirut startup
- Fix icons for desktop files

* Fri Jan 20 2006 Jeremy Katz <katzj@redhat.com> - 0.9.5-1
- Fix a traceback (#177826)
- "Reboot later" instead of "Cancel" (#177909)
- Fix traceback for not importing pango (#177973)
- Add new system-install-packages

* Sat Jan 14 2006 Jeremy Katz <katzj@redhat.com> - 0.9.4-1
- add pup here
- fix file logging
- dialog to say that updates/installs completed successfully

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com> - 0.9.2-1
- noarch
- actually add the __init__.py
- add translations

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com> - 0.9.1-1
- fix the obvious problem
- obsolete s-c-packages

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com>
- Initial build.

